// cpp(meta datanetwork format) source file AIF.cpp generated from diagram AIF
// generated on Sun May 11 23:27:39 2003
#include "stdafx.h"
#include "AIF.h"
#include "UmlExt.h"

#include "UdmStatic.h"

namespace AIF {

	Uml::Diagram umldiagram;

	Uml::Class SystemMode::meta;
	Uml::Class BackupComponent::meta;
	Uml::Class Component::meta;
	Uml::Class Processor::meta;
	Uml::Class CommPort::meta;
	Uml::Class Link::meta;
	Uml::Class Process::meta;
	Uml::Class Thread::meta;
	Uml::Class NormalComponent::meta;
	Uml::Class Network::meta;
	Uml::Class CallOut::meta;
	Uml::Class SubscribePort::meta;
	Uml::Class Interactions::meta;
	Uml::Class TimerComponent::meta;
	Uml::Class Method::meta;
	Uml::Class Action::meta;
	Uml::Class InvocationQoSProperties::meta;
	Uml::Class ComponentMode::meta;
	Uml::Class ModeTransition::meta;
	Uml::Class Interface::meta;
	Uml::Class AIFObject::meta;
	Uml::Class TriggerQoSProperties::meta;
	Uml::Class InvocationConnection::meta;
	Uml::Class PublishPort::meta;
	Uml::Class ComponentInstance::meta;
	Uml::Class Event::meta;
	Uml::Class EventPort::meta;
	Uml::Class System::meta;
	Uml::Class ApplicationComponent::meta;
	Uml::Class Receptacle::meta;
	Uml::Class SupportComponent::meta;
	Uml::Class Facet::meta;
	Uml::Attribute SystemMode::meta_faultMode;
	Uml::Attribute Processor::meta_id;
	Uml::Attribute SubscribePort::meta_asynchronous;
	Uml::Attribute SubscribePort::meta_correlation;
	Uml::Attribute TimerComponent::meta_period;
	Uml::Attribute Method::meta_dataSize;
	Uml::Attribute Action::meta_WCET;
	Uml::Attribute InvocationQoSProperties::meta_requiredPeriod;
	Uml::Attribute InvocationQoSProperties::meta_aggregateWCET;
	Uml::Attribute InvocationQoSProperties::meta_expectedPeriod;
	Uml::Attribute InvocationQoSProperties::meta_deadline;
	Uml::Attribute InvocationQoSProperties::meta_priority;
	Uml::Attribute InvocationQoSProperties::meta_importance;
	Uml::Attribute ComponentMode::meta_initialMode;
	Uml::Attribute AIFObject::meta_guid;
	Uml::Attribute AIFObject::meta_name;
	Uml::Attribute AIFObject::meta_creator;
	Uml::Attribute AIFObject::meta_creationDate;
	Uml::Attribute AIFObject::meta_lastModifier;
	Uml::Attribute AIFObject::meta_lastModDate;
	Uml::Attribute AIFObject::meta_locked;
	Uml::Attribute AIFObject::meta_locker;
	Uml::Attribute TriggerQoSProperties::meta_requiredPeriod;
	Uml::Attribute TriggerQoSProperties::meta_aggregateWCET;
	Uml::Attribute TriggerQoSProperties::meta_expectedPeriod;
	Uml::Attribute TriggerQoSProperties::meta_deadline;
	Uml::Attribute TriggerQoSProperties::meta_priority;
	Uml::Attribute TriggerQoSProperties::meta_importance;
	Uml::Attribute InvocationConnection::meta_asynchronous;
	Uml::Attribute ComponentInstance::meta_groupID;
	Uml::Attribute ComponentInstance::meta_itemID;
	Uml::Attribute System::meta_timeUnit;
	Uml::Attribute Facet::meta_distributableWrite;
	Uml::Attribute Facet::meta_distributableRead;
	Uml::AssociationRole SystemMode::meta_Interactions;
	Uml::AssociationRole Component::meta_dst_end_;
	Uml::AssociationRole Component::meta_owner_end_;
	Uml::AssociationRole CommPort::meta_subscriber;
	Uml::AssociationRole CommPort::meta_dst, CommPort::meta_dst_rev;
	Uml::AssociationRole CommPort::meta_publisher;
	Uml::AssociationRole CommPort::meta_src, CommPort::meta_src_rev;
	Uml::AssociationRole Link::meta_invocationConns;
	Uml::AssociationRole Link::meta_src_end_;
	Uml::AssociationRole Link::meta_dst_end_;
	Uml::AssociationRole Process::meta_dst, Process::meta_dst_rev;
	Uml::AssociationRole Thread::meta_tQoSProp;
	Uml::AssociationRole Thread::meta_iQoSProp;
	Uml::AssociationRole CallOut::meta_method;
	Uml::AssociationRole CallOut::meta_receptacle;
	Uml::AssociationRole CallOut::meta_action;
	Uml::AssociationRole SubscribePort::meta_CommPort;
	Uml::AssociationRole SubscribePort::meta_action, SubscribePort::meta_action_rev;
	Uml::AssociationRole SubscribePort::meta_modes;
	Uml::AssociationRole SubscribePort::meta_src;
	Uml::AssociationRole Interactions::meta_SystemMode;
	Uml::AssociationRole Interactions::meta_componentInstances;
	Uml::AssociationRole TimerComponent::meta_event;
	Uml::AssociationRole Method::meta_co;
	Uml::AssociationRole Method::meta_iqos;
	Uml::AssociationRole Action::meta_co;
	Uml::AssociationRole Action::meta_trigger, Action::meta_trigger_rev;
	Uml::AssociationRole Action::meta_port;
	Uml::AssociationRole Action::meta_iqos;
	Uml::AssociationRole Action::meta_modes;
	Uml::AssociationRole InvocationQoSProperties::meta_owner;
	Uml::AssociationRole InvocationQoSProperties::meta_method;
	Uml::AssociationRole InvocationQoSProperties::meta_action;
	Uml::AssociationRole InvocationQoSProperties::meta_facet;
	Uml::AssociationRole ComponentMode::meta_subscribePorts;
	Uml::AssociationRole ComponentMode::meta_actions;
	Uml::AssociationRole ComponentMode::meta_publishPorts;
	Uml::AssociationRole ComponentMode::meta_dst, ComponentMode::meta_dst_rev;
	Uml::AssociationRole ComponentMode::meta_facets;
	Uml::AssociationRole ComponentMode::meta_receptacles;
	Uml::AssociationRole ComponentMode::meta_src, ComponentMode::meta_src_rev;
	Uml::AssociationRole ModeTransition::meta_src_end_;
	Uml::AssociationRole ModeTransition::meta_dst_end_;
	Uml::AssociationRole Interface::meta_receptacles;
	Uml::AssociationRole Interface::meta_implementedBy;
	Uml::AssociationRole TriggerQoSProperties::meta_owner;
	Uml::AssociationRole TriggerQoSProperties::meta_trigger_end_;
	Uml::AssociationRole TriggerQoSProperties::meta_action_end_;
	Uml::AssociationRole InvocationConnection::meta_implements;
	Uml::AssociationRole InvocationConnection::meta_callout_end_;
	Uml::AssociationRole InvocationConnection::meta_invokes_end_;
	Uml::AssociationRole PublishPort::meta_CommPort;
	Uml::AssociationRole PublishPort::meta_generatesEventsFor;
	Uml::AssociationRole PublishPort::meta_modes;
	Uml::AssociationRole PublishPort::meta_event;
	Uml::AssociationRole ComponentInstance::meta_owner, ComponentInstance::meta_owner_rev;
	Uml::AssociationRole ComponentInstance::meta_interactions;
	Uml::AssociationRole Event::meta_dst;
	Uml::AssociationRole Event::meta_timer;
	Uml::AssociationRole Event::meta_publish;
	Uml::AssociationRole ApplicationComponent::meta_proxy;
	Uml::AssociationRole Receptacle::meta_co;
	Uml::AssociationRole Receptacle::meta_modes;
	Uml::AssociationRole Receptacle::meta_theInterface;
	Uml::AssociationRole Receptacle::meta_invokes, Receptacle::meta_invokes_rev;
	Uml::AssociationRole SupportComponent::meta_master;
	Uml::AssociationRole Facet::meta_iqos;
	Uml::AssociationRole Facet::meta_modes;
	Uml::AssociationRole Facet::meta_theInterface;
	Uml::AssociationRole Facet::meta_callout, Facet::meta_callout_rev;
	Uml::CompositionParentRole SystemMode::meta_Processor_parent;
	Uml::CompositionParentRole Component::meta_Process_parent;
	Uml::CompositionParentRole Processor::meta_Network_parent;
	Uml::CompositionParentRole CommPort::meta_Processor_parent;
	Uml::CompositionParentRole Link::meta_Network_parent;
	Uml::CompositionParentRole Process::meta_Processor_parent;
	Uml::CompositionParentRole Thread::meta_Process_parent;
	Uml::CompositionParentRole Network::meta_System_parent;
	Uml::CompositionParentRole CallOut::meta_ComponentInstance_parent;
	Uml::CompositionParentRole Interactions::meta_System_parent;
	Uml::CompositionParentRole TimerComponent::meta_Interactions_parent;
	Uml::CompositionParentRole Method::meta_Interface_parent;
	Uml::CompositionParentRole Action::meta_ComponentInstance_parent;
	Uml::CompositionParentRole InvocationQoSProperties::meta_ComponentInstance_parent;
	Uml::CompositionParentRole ComponentMode::meta_ComponentInstance_parent;
	Uml::CompositionParentRole ModeTransition::meta_ComponentInstance_parent;
	Uml::CompositionParentRole Interface::meta_System_parent;
	Uml::CompositionParentRole TriggerQoSProperties::meta_ComponentInstance_parent;
	Uml::CompositionParentRole InvocationConnection::meta_Interactions_parent;
	Uml::CompositionParentRole ComponentInstance::meta_Processor_parent;
	Uml::CompositionParentRole Event::meta_Interactions_parent;
	Uml::CompositionParentRole EventPort::meta_ComponentInstance_parent;
	Uml::CompositionParentRole Receptacle::meta_ComponentInstance_parent;
	Uml::CompositionParentRole Facet::meta_ComponentInstance_parent;
	Uml::CompositionChildRole Processor::meta_Process_children;
	Uml::CompositionChildRole Processor::meta_ComponentInstance_children;
	Uml::CompositionChildRole Processor::meta_SystemMode_children;
	Uml::CompositionChildRole Processor::meta_CommPort_children;
	Uml::CompositionChildRole Process::meta_Component_children;
	Uml::CompositionChildRole Process::meta_Thread_children;
	Uml::CompositionChildRole Network::meta_Processor_children;
	Uml::CompositionChildRole Network::meta_Link_children;
	Uml::CompositionChildRole Interactions::meta_Event_children;
	Uml::CompositionChildRole Interactions::meta_TimerComponent_children;
	Uml::CompositionChildRole Interactions::meta_InvocationConnection_children;
	Uml::CompositionChildRole Interface::meta_Method_children;
	Uml::CompositionChildRole ComponentInstance::meta_TriggerQoSProperties_children;
	Uml::CompositionChildRole ComponentInstance::meta_CallOut_children;
	Uml::CompositionChildRole ComponentInstance::meta_EventPort_children;
	Uml::CompositionChildRole ComponentInstance::meta_Facet_children;
	Uml::CompositionChildRole ComponentInstance::meta_Receptacle_children;
	Uml::CompositionChildRole ComponentInstance::meta_InvocationQoSProperties_children;
	Uml::CompositionChildRole ComponentInstance::meta_Action_children;
	Uml::CompositionChildRole ComponentInstance::meta_ComponentMode_children;
	Uml::CompositionChildRole ComponentInstance::meta_ModeTransition_children;
	Uml::CompositionChildRole System::meta_Network_children;
	Uml::CompositionChildRole System::meta_Interface_children;
	Uml::CompositionChildRole System::meta_Interactions_children;
	void Initialize()
	{
		static bool first = true;
		if(!first) return;
		first = false;
		Uml::Initialize();

		ASSERT( umldiagram == Udm::null );
		UdmStatic::StaticDataNetwork * meta_dn = new UdmStatic::StaticDataNetwork(Uml::diagram);
		meta_dn->CreateNew("AIF.mem", "", Uml::Diagram::meta, Udm::CHANGES_LOST_DEFAULT);
		umldiagram = Uml::Diagram::Cast(meta_dn->GetRootObject());
		umldiagram.name() ="AIF";
		SystemMode::meta = Uml::Class::Create(umldiagram);
		BackupComponent::meta = Uml::Class::Create(umldiagram);
		Component::meta = Uml::Class::Create(umldiagram);
		Processor::meta = Uml::Class::Create(umldiagram);
		CommPort::meta = Uml::Class::Create(umldiagram);
		Link::meta = Uml::Class::Create(umldiagram);
		Process::meta = Uml::Class::Create(umldiagram);
		Thread::meta = Uml::Class::Create(umldiagram);
		NormalComponent::meta = Uml::Class::Create(umldiagram);
		Network::meta = Uml::Class::Create(umldiagram);
		CallOut::meta = Uml::Class::Create(umldiagram);
		SubscribePort::meta = Uml::Class::Create(umldiagram);
		Interactions::meta = Uml::Class::Create(umldiagram);
		TimerComponent::meta = Uml::Class::Create(umldiagram);
		Method::meta = Uml::Class::Create(umldiagram);
		Action::meta = Uml::Class::Create(umldiagram);
		InvocationQoSProperties::meta = Uml::Class::Create(umldiagram);
		ComponentMode::meta = Uml::Class::Create(umldiagram);
		ModeTransition::meta = Uml::Class::Create(umldiagram);
		Interface::meta = Uml::Class::Create(umldiagram);
		AIFObject::meta = Uml::Class::Create(umldiagram);
		TriggerQoSProperties::meta = Uml::Class::Create(umldiagram);
		InvocationConnection::meta = Uml::Class::Create(umldiagram);
		PublishPort::meta = Uml::Class::Create(umldiagram);
		ComponentInstance::meta = Uml::Class::Create(umldiagram);
		Event::meta = Uml::Class::Create(umldiagram);
		EventPort::meta = Uml::Class::Create(umldiagram);
		System::meta = Uml::Class::Create(umldiagram);
		ApplicationComponent::meta = Uml::Class::Create(umldiagram);
		Receptacle::meta = Uml::Class::Create(umldiagram);
		SupportComponent::meta = Uml::Class::Create(umldiagram);
		Facet::meta = Uml::Class::Create(umldiagram);
		SystemMode::meta_faultMode = Uml::Attribute::Create(SystemMode::meta);
		Processor::meta_id = Uml::Attribute::Create(Processor::meta);
		SubscribePort::meta_asynchronous = Uml::Attribute::Create(SubscribePort::meta);
		SubscribePort::meta_correlation = Uml::Attribute::Create(SubscribePort::meta);
		TimerComponent::meta_period = Uml::Attribute::Create(TimerComponent::meta);
		Method::meta_dataSize = Uml::Attribute::Create(Method::meta);
		Action::meta_WCET = Uml::Attribute::Create(Action::meta);
		InvocationQoSProperties::meta_requiredPeriod = Uml::Attribute::Create(InvocationQoSProperties::meta);
		InvocationQoSProperties::meta_aggregateWCET = Uml::Attribute::Create(InvocationQoSProperties::meta);
		InvocationQoSProperties::meta_expectedPeriod = Uml::Attribute::Create(InvocationQoSProperties::meta);
		InvocationQoSProperties::meta_deadline = Uml::Attribute::Create(InvocationQoSProperties::meta);
		InvocationQoSProperties::meta_priority = Uml::Attribute::Create(InvocationQoSProperties::meta);
		InvocationQoSProperties::meta_importance = Uml::Attribute::Create(InvocationQoSProperties::meta);
		ComponentMode::meta_initialMode = Uml::Attribute::Create(ComponentMode::meta);
		AIFObject::meta_guid = Uml::Attribute::Create(AIFObject::meta);
		AIFObject::meta_name = Uml::Attribute::Create(AIFObject::meta);
		AIFObject::meta_creator = Uml::Attribute::Create(AIFObject::meta);
		AIFObject::meta_creationDate = Uml::Attribute::Create(AIFObject::meta);
		AIFObject::meta_lastModifier = Uml::Attribute::Create(AIFObject::meta);
		AIFObject::meta_lastModDate = Uml::Attribute::Create(AIFObject::meta);
		AIFObject::meta_locked = Uml::Attribute::Create(AIFObject::meta);
		AIFObject::meta_locker = Uml::Attribute::Create(AIFObject::meta);
		TriggerQoSProperties::meta_requiredPeriod = Uml::Attribute::Create(TriggerQoSProperties::meta);
		TriggerQoSProperties::meta_aggregateWCET = Uml::Attribute::Create(TriggerQoSProperties::meta);
		TriggerQoSProperties::meta_expectedPeriod = Uml::Attribute::Create(TriggerQoSProperties::meta);
		TriggerQoSProperties::meta_deadline = Uml::Attribute::Create(TriggerQoSProperties::meta);
		TriggerQoSProperties::meta_priority = Uml::Attribute::Create(TriggerQoSProperties::meta);
		TriggerQoSProperties::meta_importance = Uml::Attribute::Create(TriggerQoSProperties::meta);
		InvocationConnection::meta_asynchronous = Uml::Attribute::Create(InvocationConnection::meta);
		ComponentInstance::meta_groupID = Uml::Attribute::Create(ComponentInstance::meta);
		ComponentInstance::meta_itemID = Uml::Attribute::Create(ComponentInstance::meta);
		System::meta_timeUnit = Uml::Attribute::Create(System::meta);
		Facet::meta_distributableWrite = Uml::Attribute::Create(Facet::meta);
		Facet::meta_distributableRead = Uml::Attribute::Create(Facet::meta);
		Uml::InitDiagram(umldiagram, "AIF");

		SystemMode::meta.name() = "SystemMode";
		SystemMode::meta.isAbstract() = false;
		BackupComponent::meta.name() = "BackupComponent";
		BackupComponent::meta.isAbstract() = false;
		Component::meta.name() = "Component";
		Component::meta.isAbstract() = true;
		Processor::meta.name() = "Processor";
		Processor::meta.isAbstract() = false;
		CommPort::meta.name() = "CommPort";
		CommPort::meta.isAbstract() = false;
		Link::meta.name() = "Link";
		Link::meta.isAbstract() = false;
		Process::meta.name() = "Process";
		Process::meta.isAbstract() = false;
		Thread::meta.name() = "Thread";
		Thread::meta.isAbstract() = false;
		NormalComponent::meta.name() = "NormalComponent";
		NormalComponent::meta.isAbstract() = false;
		Network::meta.name() = "Network";
		Network::meta.isAbstract() = false;
		CallOut::meta.name() = "CallOut";
		CallOut::meta.isAbstract() = false;
		SubscribePort::meta.name() = "SubscribePort";
		SubscribePort::meta.isAbstract() = false;
		Interactions::meta.name() = "Interactions";
		Interactions::meta.isAbstract() = false;
		TimerComponent::meta.name() = "TimerComponent";
		TimerComponent::meta.isAbstract() = false;
		Method::meta.name() = "Method";
		Method::meta.isAbstract() = false;
		Action::meta.name() = "Action";
		Action::meta.isAbstract() = false;
		InvocationQoSProperties::meta.name() = "InvocationQoSProperties";
		InvocationQoSProperties::meta.isAbstract() = false;
		ComponentMode::meta.name() = "ComponentMode";
		ComponentMode::meta.isAbstract() = false;
		ModeTransition::meta.name() = "ModeTransition";
		ModeTransition::meta.isAbstract() = false;
		Interface::meta.name() = "Interface";
		Interface::meta.isAbstract() = false;
		AIFObject::meta.name() = "AIFObject";
		AIFObject::meta.isAbstract() = true;
		TriggerQoSProperties::meta.name() = "TriggerQoSProperties";
		TriggerQoSProperties::meta.isAbstract() = false;
		InvocationConnection::meta.name() = "InvocationConnection";
		InvocationConnection::meta.isAbstract() = false;
		PublishPort::meta.name() = "PublishPort";
		PublishPort::meta.isAbstract() = false;
		ComponentInstance::meta.name() = "ComponentInstance";
		ComponentInstance::meta.isAbstract() = true;
		Event::meta.name() = "Event";
		Event::meta.isAbstract() = false;
		EventPort::meta.name() = "EventPort";
		EventPort::meta.isAbstract() = true;
		System::meta.name() = "System";
		System::meta.isAbstract() = false;
		ApplicationComponent::meta.name() = "ApplicationComponent";
		ApplicationComponent::meta.isAbstract() = false;
		Receptacle::meta.name() = "Receptacle";
		Receptacle::meta.isAbstract() = false;
		SupportComponent::meta.name() = "SupportComponent";
		SupportComponent::meta.isAbstract() = false;
		Facet::meta.name() = "Facet";
		Facet::meta.isAbstract() = false;
		
		SystemMode::meta_faultMode.name() = "faultMode";
		SystemMode::meta_faultMode.type() = "Boolean";
		SystemMode::meta_faultMode.min() = 1;
		SystemMode::meta_faultMode.max() = 1;
		SystemMode::meta_faultMode.nonpersistent() = false;
		SystemMode::meta_faultMode.ordered() = false;
		SystemMode::meta_faultMode.visibility() = "public";
		SystemMode::meta_faultMode.defvalue() = vector<string>();
		Processor::meta_id.name() = "id";
		Processor::meta_id.type() = "Integer";
		Processor::meta_id.min() = 1;
		Processor::meta_id.max() = 1;
		Processor::meta_id.nonpersistent() = false;
		Processor::meta_id.ordered() = false;
		Processor::meta_id.visibility() = "public";
		Processor::meta_id.defvalue() = vector<string>();
		SubscribePort::meta_asynchronous.name() = "asynchronous";
		SubscribePort::meta_asynchronous.type() = "Boolean";
		SubscribePort::meta_asynchronous.min() = 1;
		SubscribePort::meta_asynchronous.max() = 1;
		SubscribePort::meta_asynchronous.nonpersistent() = false;
		SubscribePort::meta_asynchronous.ordered() = false;
		SubscribePort::meta_asynchronous.visibility() = "public";
		SubscribePort::meta_asynchronous.defvalue() = vector<string>();
		SubscribePort::meta_correlation.name() = "correlation";
		SubscribePort::meta_correlation.type() = "Boolean";
		SubscribePort::meta_correlation.min() = 1;
		SubscribePort::meta_correlation.max() = 1;
		SubscribePort::meta_correlation.nonpersistent() = false;
		SubscribePort::meta_correlation.ordered() = false;
		SubscribePort::meta_correlation.visibility() = "public";
		SubscribePort::meta_correlation.defvalue() = vector<string>();
		TimerComponent::meta_period.name() = "period";
		TimerComponent::meta_period.type() = "String";
		TimerComponent::meta_period.min() = 1;
		TimerComponent::meta_period.max() = 1;
		TimerComponent::meta_period.nonpersistent() = false;
		TimerComponent::meta_period.ordered() = false;
		TimerComponent::meta_period.visibility() = "public";
		TimerComponent::meta_period.defvalue() = vector<string>();
		Method::meta_dataSize.name() = "dataSize";
		Method::meta_dataSize.type() = "Integer";
		Method::meta_dataSize.min() = 1;
		Method::meta_dataSize.max() = 1;
		Method::meta_dataSize.nonpersistent() = false;
		Method::meta_dataSize.ordered() = false;
		Method::meta_dataSize.visibility() = "public";
		Method::meta_dataSize.defvalue() = vector<string>();
		Action::meta_WCET.name() = "WCET";
		Action::meta_WCET.type() = "String";
		Action::meta_WCET.min() = 1;
		Action::meta_WCET.max() = 1;
		Action::meta_WCET.nonpersistent() = false;
		Action::meta_WCET.ordered() = false;
		Action::meta_WCET.visibility() = "public";
		Action::meta_WCET.defvalue() = vector<string>();
		InvocationQoSProperties::meta_requiredPeriod.name() = "requiredPeriod";
		InvocationQoSProperties::meta_requiredPeriod.type() = "String";
		InvocationQoSProperties::meta_requiredPeriod.min() = 1;
		InvocationQoSProperties::meta_requiredPeriod.max() = 1;
		InvocationQoSProperties::meta_requiredPeriod.nonpersistent() = false;
		InvocationQoSProperties::meta_requiredPeriod.ordered() = false;
		InvocationQoSProperties::meta_requiredPeriod.visibility() = "public";
		InvocationQoSProperties::meta_requiredPeriod.defvalue() = vector<string>();
		InvocationQoSProperties::meta_aggregateWCET.name() = "aggregateWCET";
		InvocationQoSProperties::meta_aggregateWCET.type() = "String";
		InvocationQoSProperties::meta_aggregateWCET.min() = 1;
		InvocationQoSProperties::meta_aggregateWCET.max() = 1;
		InvocationQoSProperties::meta_aggregateWCET.nonpersistent() = false;
		InvocationQoSProperties::meta_aggregateWCET.ordered() = false;
		InvocationQoSProperties::meta_aggregateWCET.visibility() = "public";
		InvocationQoSProperties::meta_aggregateWCET.defvalue() = vector<string>();
		InvocationQoSProperties::meta_expectedPeriod.name() = "expectedPeriod";
		InvocationQoSProperties::meta_expectedPeriod.type() = "String";
		InvocationQoSProperties::meta_expectedPeriod.min() = 1;
		InvocationQoSProperties::meta_expectedPeriod.max() = 1;
		InvocationQoSProperties::meta_expectedPeriod.nonpersistent() = false;
		InvocationQoSProperties::meta_expectedPeriod.ordered() = false;
		InvocationQoSProperties::meta_expectedPeriod.visibility() = "public";
		InvocationQoSProperties::meta_expectedPeriod.defvalue() = vector<string>();
		InvocationQoSProperties::meta_deadline.name() = "deadline";
		InvocationQoSProperties::meta_deadline.type() = "String";
		InvocationQoSProperties::meta_deadline.min() = 1;
		InvocationQoSProperties::meta_deadline.max() = 1;
		InvocationQoSProperties::meta_deadline.nonpersistent() = false;
		InvocationQoSProperties::meta_deadline.ordered() = false;
		InvocationQoSProperties::meta_deadline.visibility() = "public";
		InvocationQoSProperties::meta_deadline.defvalue() = vector<string>();
		InvocationQoSProperties::meta_priority.name() = "priority";
		InvocationQoSProperties::meta_priority.type() = "String";
		InvocationQoSProperties::meta_priority.min() = 1;
		InvocationQoSProperties::meta_priority.max() = 1;
		InvocationQoSProperties::meta_priority.nonpersistent() = false;
		InvocationQoSProperties::meta_priority.ordered() = false;
		InvocationQoSProperties::meta_priority.visibility() = "public";
		InvocationQoSProperties::meta_priority.defvalue() = vector<string>();
		InvocationQoSProperties::meta_importance.name() = "importance";
		InvocationQoSProperties::meta_importance.type() = "String";
		InvocationQoSProperties::meta_importance.min() = 1;
		InvocationQoSProperties::meta_importance.max() = 1;
		InvocationQoSProperties::meta_importance.nonpersistent() = false;
		InvocationQoSProperties::meta_importance.ordered() = false;
		InvocationQoSProperties::meta_importance.visibility() = "public";
		InvocationQoSProperties::meta_importance.defvalue() = vector<string>();
		ComponentMode::meta_initialMode.name() = "initialMode";
		ComponentMode::meta_initialMode.type() = "Boolean";
		ComponentMode::meta_initialMode.min() = 1;
		ComponentMode::meta_initialMode.max() = 1;
		ComponentMode::meta_initialMode.nonpersistent() = false;
		ComponentMode::meta_initialMode.ordered() = false;
		ComponentMode::meta_initialMode.visibility() = "public";
		ComponentMode::meta_initialMode.defvalue() = vector<string>();
		AIFObject::meta_guid.name() = "guid";
		AIFObject::meta_guid.type() = "String";
		AIFObject::meta_guid.min() = 1;
		AIFObject::meta_guid.max() = 1;
		AIFObject::meta_guid.nonpersistent() = false;
		AIFObject::meta_guid.ordered() = false;
		AIFObject::meta_guid.visibility() = "public";
		AIFObject::meta_guid.defvalue() = vector<string>();
		AIFObject::meta_name.name() = "name";
		AIFObject::meta_name.type() = "String";
		AIFObject::meta_name.min() = 1;
		AIFObject::meta_name.max() = 1;
		AIFObject::meta_name.nonpersistent() = false;
		AIFObject::meta_name.ordered() = false;
		AIFObject::meta_name.visibility() = "public";
		AIFObject::meta_name.defvalue() = vector<string>();
		AIFObject::meta_creator.name() = "creator";
		AIFObject::meta_creator.type() = "String";
		AIFObject::meta_creator.min() = 1;
		AIFObject::meta_creator.max() = 1;
		AIFObject::meta_creator.nonpersistent() = false;
		AIFObject::meta_creator.ordered() = false;
		AIFObject::meta_creator.visibility() = "public";
		AIFObject::meta_creator.defvalue() = vector<string>();
		AIFObject::meta_creationDate.name() = "creationDate";
		AIFObject::meta_creationDate.type() = "String";
		AIFObject::meta_creationDate.min() = 1;
		AIFObject::meta_creationDate.max() = 1;
		AIFObject::meta_creationDate.nonpersistent() = false;
		AIFObject::meta_creationDate.ordered() = false;
		AIFObject::meta_creationDate.visibility() = "public";
		AIFObject::meta_creationDate.defvalue() = vector<string>();
		AIFObject::meta_lastModifier.name() = "lastModifier";
		AIFObject::meta_lastModifier.type() = "String";
		AIFObject::meta_lastModifier.min() = 1;
		AIFObject::meta_lastModifier.max() = 1;
		AIFObject::meta_lastModifier.nonpersistent() = false;
		AIFObject::meta_lastModifier.ordered() = false;
		AIFObject::meta_lastModifier.visibility() = "public";
		AIFObject::meta_lastModifier.defvalue() = vector<string>();
		AIFObject::meta_lastModDate.name() = "lastModDate";
		AIFObject::meta_lastModDate.type() = "String";
		AIFObject::meta_lastModDate.min() = 1;
		AIFObject::meta_lastModDate.max() = 1;
		AIFObject::meta_lastModDate.nonpersistent() = false;
		AIFObject::meta_lastModDate.ordered() = false;
		AIFObject::meta_lastModDate.visibility() = "public";
		AIFObject::meta_lastModDate.defvalue() = vector<string>();
		AIFObject::meta_locked.name() = "locked";
		AIFObject::meta_locked.type() = "Boolean";
		AIFObject::meta_locked.min() = 1;
		AIFObject::meta_locked.max() = 1;
		AIFObject::meta_locked.nonpersistent() = false;
		AIFObject::meta_locked.ordered() = false;
		AIFObject::meta_locked.visibility() = "public";
		AIFObject::meta_locked.defvalue() = vector<string>();
		AIFObject::meta_locker.name() = "locker";
		AIFObject::meta_locker.type() = "String";
		AIFObject::meta_locker.min() = 1;
		AIFObject::meta_locker.max() = 1;
		AIFObject::meta_locker.nonpersistent() = false;
		AIFObject::meta_locker.ordered() = false;
		AIFObject::meta_locker.visibility() = "public";
		AIFObject::meta_locker.defvalue() = vector<string>();
		TriggerQoSProperties::meta_requiredPeriod.name() = "requiredPeriod";
		TriggerQoSProperties::meta_requiredPeriod.type() = "String";
		TriggerQoSProperties::meta_requiredPeriod.min() = 1;
		TriggerQoSProperties::meta_requiredPeriod.max() = 1;
		TriggerQoSProperties::meta_requiredPeriod.nonpersistent() = false;
		TriggerQoSProperties::meta_requiredPeriod.ordered() = false;
		TriggerQoSProperties::meta_requiredPeriod.visibility() = "public";
		TriggerQoSProperties::meta_requiredPeriod.defvalue() = vector<string>();
		TriggerQoSProperties::meta_aggregateWCET.name() = "aggregateWCET";
		TriggerQoSProperties::meta_aggregateWCET.type() = "String";
		TriggerQoSProperties::meta_aggregateWCET.min() = 1;
		TriggerQoSProperties::meta_aggregateWCET.max() = 1;
		TriggerQoSProperties::meta_aggregateWCET.nonpersistent() = false;
		TriggerQoSProperties::meta_aggregateWCET.ordered() = false;
		TriggerQoSProperties::meta_aggregateWCET.visibility() = "public";
		TriggerQoSProperties::meta_aggregateWCET.defvalue() = vector<string>();
		TriggerQoSProperties::meta_expectedPeriod.name() = "expectedPeriod";
		TriggerQoSProperties::meta_expectedPeriod.type() = "String";
		TriggerQoSProperties::meta_expectedPeriod.min() = 1;
		TriggerQoSProperties::meta_expectedPeriod.max() = 1;
		TriggerQoSProperties::meta_expectedPeriod.nonpersistent() = false;
		TriggerQoSProperties::meta_expectedPeriod.ordered() = false;
		TriggerQoSProperties::meta_expectedPeriod.visibility() = "public";
		TriggerQoSProperties::meta_expectedPeriod.defvalue() = vector<string>();
		TriggerQoSProperties::meta_deadline.name() = "deadline";
		TriggerQoSProperties::meta_deadline.type() = "String";
		TriggerQoSProperties::meta_deadline.min() = 1;
		TriggerQoSProperties::meta_deadline.max() = 1;
		TriggerQoSProperties::meta_deadline.nonpersistent() = false;
		TriggerQoSProperties::meta_deadline.ordered() = false;
		TriggerQoSProperties::meta_deadline.visibility() = "public";
		TriggerQoSProperties::meta_deadline.defvalue() = vector<string>();
		TriggerQoSProperties::meta_priority.name() = "priority";
		TriggerQoSProperties::meta_priority.type() = "String";
		TriggerQoSProperties::meta_priority.min() = 1;
		TriggerQoSProperties::meta_priority.max() = 1;
		TriggerQoSProperties::meta_priority.nonpersistent() = false;
		TriggerQoSProperties::meta_priority.ordered() = false;
		TriggerQoSProperties::meta_priority.visibility() = "public";
		TriggerQoSProperties::meta_priority.defvalue() = vector<string>();
		TriggerQoSProperties::meta_importance.name() = "importance";
		TriggerQoSProperties::meta_importance.type() = "String";
		TriggerQoSProperties::meta_importance.min() = 1;
		TriggerQoSProperties::meta_importance.max() = 1;
		TriggerQoSProperties::meta_importance.nonpersistent() = false;
		TriggerQoSProperties::meta_importance.ordered() = false;
		TriggerQoSProperties::meta_importance.visibility() = "public";
		TriggerQoSProperties::meta_importance.defvalue() = vector<string>();
		InvocationConnection::meta_asynchronous.name() = "asynchronous";
		InvocationConnection::meta_asynchronous.type() = "Boolean";
		InvocationConnection::meta_asynchronous.min() = 1;
		InvocationConnection::meta_asynchronous.max() = 1;
		InvocationConnection::meta_asynchronous.nonpersistent() = false;
		InvocationConnection::meta_asynchronous.ordered() = false;
		InvocationConnection::meta_asynchronous.visibility() = "public";
		InvocationConnection::meta_asynchronous.defvalue() = vector<string>();
		ComponentInstance::meta_groupID.name() = "groupID";
		ComponentInstance::meta_groupID.type() = "Integer";
		ComponentInstance::meta_groupID.min() = 1;
		ComponentInstance::meta_groupID.max() = 1;
		ComponentInstance::meta_groupID.nonpersistent() = false;
		ComponentInstance::meta_groupID.ordered() = false;
		ComponentInstance::meta_groupID.visibility() = "public";
		ComponentInstance::meta_groupID.defvalue() = vector<string>();
		ComponentInstance::meta_itemID.name() = "itemID";
		ComponentInstance::meta_itemID.type() = "Integer";
		ComponentInstance::meta_itemID.min() = 1;
		ComponentInstance::meta_itemID.max() = 1;
		ComponentInstance::meta_itemID.nonpersistent() = false;
		ComponentInstance::meta_itemID.ordered() = false;
		ComponentInstance::meta_itemID.visibility() = "public";
		ComponentInstance::meta_itemID.defvalue() = vector<string>();
		System::meta_timeUnit.name() = "timeUnit";
		System::meta_timeUnit.type() = "String";
		System::meta_timeUnit.min() = 1;
		System::meta_timeUnit.max() = 1;
		System::meta_timeUnit.nonpersistent() = false;
		System::meta_timeUnit.ordered() = false;
		System::meta_timeUnit.visibility() = "public";
		System::meta_timeUnit.defvalue() = vector<string>();
		Facet::meta_distributableWrite.name() = "distributableWrite";
		Facet::meta_distributableWrite.type() = "Boolean";
		Facet::meta_distributableWrite.min() = 1;
		Facet::meta_distributableWrite.max() = 1;
		Facet::meta_distributableWrite.nonpersistent() = false;
		Facet::meta_distributableWrite.ordered() = false;
		Facet::meta_distributableWrite.visibility() = "public";
		Facet::meta_distributableWrite.defvalue() = vector<string>();
		Facet::meta_distributableRead.name() = "distributableRead";
		Facet::meta_distributableRead.type() = "Boolean";
		Facet::meta_distributableRead.min() = 1;
		Facet::meta_distributableRead.max() = 1;
		Facet::meta_distributableRead.nonpersistent() = false;
		Facet::meta_distributableRead.ordered() = false;
		Facet::meta_distributableRead.visibility() = "public";
		Facet::meta_distributableRead.defvalue() = vector<string>();
		
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Interactions::meta_SystemMode = Uml::AssociationRole::Create(ass);
			Interactions::meta_SystemMode.name() = "SystemMode";
			Interactions::meta_SystemMode.min() = 1;
			Interactions::meta_SystemMode.max() = -1;
			Interactions::meta_SystemMode.isNavigable() = true;
			Interactions::meta_SystemMode.isPrimary() = false;
			Interactions::meta_SystemMode.target() = SystemMode::meta;
			SystemMode::meta_Interactions = Uml::AssociationRole::Create(ass);
			SystemMode::meta_Interactions.name() = "Interactions";
			SystemMode::meta_Interactions.min() = 1;
			SystemMode::meta_Interactions.max() = 1;
			SystemMode::meta_Interactions.isNavigable() = true;
			SystemMode::meta_Interactions.isPrimary() = false;
			SystemMode::meta_Interactions.target() = Interactions::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			CommPort::meta_subscriber = Uml::AssociationRole::Create(ass);
			CommPort::meta_subscriber.name() = "subscriber";
			CommPort::meta_subscriber.min() = 0;
			CommPort::meta_subscriber.max() = -1;
			CommPort::meta_subscriber.isNavigable() = true;
			CommPort::meta_subscriber.isPrimary() = false;
			CommPort::meta_subscriber.target() = SubscribePort::meta;
			SubscribePort::meta_CommPort = Uml::AssociationRole::Create(ass);
			SubscribePort::meta_CommPort.name() = "CommPort";
			SubscribePort::meta_CommPort.min() = 0;
			SubscribePort::meta_CommPort.max() = 1;
			SubscribePort::meta_CommPort.isNavigable() = true;
			SubscribePort::meta_CommPort.isPrimary() = false;
			SubscribePort::meta_CommPort.target() = CommPort::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			ass.name() = "Link";
			ass.assocClass() = Link::meta;
			CommPort::meta_dst = Uml::AssociationRole::Create(ass);
			CommPort::meta_dst.name() = "dst";
			CommPort::meta_dst.min() = 0;
			CommPort::meta_dst.max() = -1;
			CommPort::meta_dst.isNavigable() = true;
			CommPort::meta_dst.isPrimary() = false;
			CommPort::meta_dst.target() = CommPort::meta;
			Link::meta_dst_end_ = CommPort::meta_src_rev = CommPort::meta_dst;
			CommPort::meta_src = Uml::AssociationRole::Create(ass);
			CommPort::meta_src.name() = "src";
			CommPort::meta_src.min() = 0;
			CommPort::meta_src.max() = -1;
			CommPort::meta_src.isNavigable() = true;
			CommPort::meta_src.isPrimary() = false;
			CommPort::meta_src.target() = CommPort::meta;
			Link::meta_src_end_ = CommPort::meta_dst_rev = CommPort::meta_src;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			CommPort::meta_publisher = Uml::AssociationRole::Create(ass);
			CommPort::meta_publisher.name() = "publisher";
			CommPort::meta_publisher.min() = 0;
			CommPort::meta_publisher.max() = -1;
			CommPort::meta_publisher.isNavigable() = true;
			CommPort::meta_publisher.isPrimary() = false;
			CommPort::meta_publisher.target() = PublishPort::meta;
			PublishPort::meta_CommPort = Uml::AssociationRole::Create(ass);
			PublishPort::meta_CommPort.name() = "CommPort";
			PublishPort::meta_CommPort.min() = 0;
			PublishPort::meta_CommPort.max() = 1;
			PublishPort::meta_CommPort.isNavigable() = true;
			PublishPort::meta_CommPort.isPrimary() = false;
			PublishPort::meta_CommPort.target() = CommPort::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			InvocationConnection::meta_implements = Uml::AssociationRole::Create(ass);
			InvocationConnection::meta_implements.name() = "implements";
			InvocationConnection::meta_implements.min() = 0;
			InvocationConnection::meta_implements.max() = 1;
			InvocationConnection::meta_implements.isNavigable() = true;
			InvocationConnection::meta_implements.isPrimary() = false;
			InvocationConnection::meta_implements.target() = Link::meta;
			Link::meta_invocationConns = Uml::AssociationRole::Create(ass);
			Link::meta_invocationConns.name() = "invocationConns";
			Link::meta_invocationConns.min() = 0;
			Link::meta_invocationConns.max() = -1;
			Link::meta_invocationConns.isNavigable() = true;
			Link::meta_invocationConns.isPrimary() = false;
			Link::meta_invocationConns.target() = InvocationConnection::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			ass.name() = "Component";
			ass.assocClass() = Component::meta;
			ComponentInstance::meta_owner = Uml::AssociationRole::Create(ass);
			ComponentInstance::meta_owner.name() = "owner";
			ComponentInstance::meta_owner.min() = 1;
			ComponentInstance::meta_owner.max() = 1;
			ComponentInstance::meta_owner.isNavigable() = true;
			ComponentInstance::meta_owner.isPrimary() = false;
			ComponentInstance::meta_owner.target() = Process::meta;
			Component::meta_owner_end_ = Process::meta_dst_rev = ComponentInstance::meta_owner;
			Process::meta_dst = Uml::AssociationRole::Create(ass);
			Process::meta_dst.name() = "dst";
			Process::meta_dst.min() = 0;
			Process::meta_dst.max() = -1;
			Process::meta_dst.isNavigable() = true;
			Process::meta_dst.isPrimary() = false;
			Process::meta_dst.target() = ComponentInstance::meta;
			Component::meta_dst_end_ = ComponentInstance::meta_owner_rev = Process::meta_dst;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Thread::meta_tQoSProp = Uml::AssociationRole::Create(ass);
			Thread::meta_tQoSProp.name() = "tQoSProp";
			Thread::meta_tQoSProp.min() = 0;
			Thread::meta_tQoSProp.max() = -1;
			Thread::meta_tQoSProp.isNavigable() = true;
			Thread::meta_tQoSProp.isPrimary() = false;
			Thread::meta_tQoSProp.target() = TriggerQoSProperties::meta;
			TriggerQoSProperties::meta_owner = Uml::AssociationRole::Create(ass);
			TriggerQoSProperties::meta_owner.name() = "owner";
			TriggerQoSProperties::meta_owner.min() = 0;
			TriggerQoSProperties::meta_owner.max() = 1;
			TriggerQoSProperties::meta_owner.isNavigable() = true;
			TriggerQoSProperties::meta_owner.isPrimary() = false;
			TriggerQoSProperties::meta_owner.target() = Thread::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Thread::meta_iQoSProp = Uml::AssociationRole::Create(ass);
			Thread::meta_iQoSProp.name() = "iQoSProp";
			Thread::meta_iQoSProp.min() = 0;
			Thread::meta_iQoSProp.max() = -1;
			Thread::meta_iQoSProp.isNavigable() = true;
			Thread::meta_iQoSProp.isPrimary() = false;
			Thread::meta_iQoSProp.target() = InvocationQoSProperties::meta;
			InvocationQoSProperties::meta_owner = Uml::AssociationRole::Create(ass);
			InvocationQoSProperties::meta_owner.name() = "owner";
			InvocationQoSProperties::meta_owner.min() = 0;
			InvocationQoSProperties::meta_owner.max() = 1;
			InvocationQoSProperties::meta_owner.isNavigable() = true;
			InvocationQoSProperties::meta_owner.isPrimary() = false;
			InvocationQoSProperties::meta_owner.target() = Thread::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			CallOut::meta_method = Uml::AssociationRole::Create(ass);
			CallOut::meta_method.name() = "method";
			CallOut::meta_method.min() = 0;
			CallOut::meta_method.max() = 1;
			CallOut::meta_method.isNavigable() = true;
			CallOut::meta_method.isPrimary() = false;
			CallOut::meta_method.target() = Method::meta;
			Method::meta_co = Uml::AssociationRole::Create(ass);
			Method::meta_co.name() = "co";
			Method::meta_co.min() = 0;
			Method::meta_co.max() = -1;
			Method::meta_co.isNavigable() = true;
			Method::meta_co.isPrimary() = false;
			Method::meta_co.target() = CallOut::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			CallOut::meta_receptacle = Uml::AssociationRole::Create(ass);
			CallOut::meta_receptacle.name() = "receptacle";
			CallOut::meta_receptacle.min() = 0;
			CallOut::meta_receptacle.max() = 1;
			CallOut::meta_receptacle.isNavigable() = true;
			CallOut::meta_receptacle.isPrimary() = false;
			CallOut::meta_receptacle.target() = Receptacle::meta;
			Receptacle::meta_co = Uml::AssociationRole::Create(ass);
			Receptacle::meta_co.name() = "co";
			Receptacle::meta_co.min() = 0;
			Receptacle::meta_co.max() = -1;
			Receptacle::meta_co.isNavigable() = true;
			Receptacle::meta_co.isPrimary() = false;
			Receptacle::meta_co.target() = CallOut::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			CallOut::meta_action = Uml::AssociationRole::Create(ass);
			CallOut::meta_action.name() = "action";
			CallOut::meta_action.min() = 0;
			CallOut::meta_action.max() = -1;
			CallOut::meta_action.isNavigable() = true;
			CallOut::meta_action.isPrimary() = false;
			CallOut::meta_action.target() = Action::meta;
			Action::meta_co = Uml::AssociationRole::Create(ass);
			Action::meta_co.name() = "co";
			Action::meta_co.min() = 0;
			Action::meta_co.max() = -1;
			Action::meta_co.isNavigable() = true;
			Action::meta_co.isPrimary() = false;
			Action::meta_co.target() = CallOut::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			ass.name() = "TriggerQoSProperties";
			ass.assocClass() = TriggerQoSProperties::meta;
			SubscribePort::meta_action = Uml::AssociationRole::Create(ass);
			SubscribePort::meta_action.name() = "action";
			SubscribePort::meta_action.min() = 0;
			SubscribePort::meta_action.max() = -1;
			SubscribePort::meta_action.isNavigable() = true;
			SubscribePort::meta_action.isPrimary() = false;
			SubscribePort::meta_action.target() = Action::meta;
			TriggerQoSProperties::meta_action_end_ = Action::meta_trigger_rev = SubscribePort::meta_action;
			Action::meta_trigger = Uml::AssociationRole::Create(ass);
			Action::meta_trigger.name() = "trigger";
			Action::meta_trigger.min() = 0;
			Action::meta_trigger.max() = -1;
			Action::meta_trigger.isNavigable() = true;
			Action::meta_trigger.isPrimary() = false;
			Action::meta_trigger.target() = SubscribePort::meta;
			TriggerQoSProperties::meta_trigger_end_ = SubscribePort::meta_action_rev = Action::meta_trigger;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			SubscribePort::meta_modes = Uml::AssociationRole::Create(ass);
			SubscribePort::meta_modes.name() = "modes";
			SubscribePort::meta_modes.min() = 0;
			SubscribePort::meta_modes.max() = -1;
			SubscribePort::meta_modes.isNavigable() = true;
			SubscribePort::meta_modes.isPrimary() = false;
			SubscribePort::meta_modes.target() = ComponentMode::meta;
			ComponentMode::meta_subscribePorts = Uml::AssociationRole::Create(ass);
			ComponentMode::meta_subscribePorts.name() = "subscribePorts";
			ComponentMode::meta_subscribePorts.min() = 0;
			ComponentMode::meta_subscribePorts.max() = -1;
			ComponentMode::meta_subscribePorts.isNavigable() = true;
			ComponentMode::meta_subscribePorts.isPrimary() = false;
			ComponentMode::meta_subscribePorts.target() = SubscribePort::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			SubscribePort::meta_src = Uml::AssociationRole::Create(ass);
			SubscribePort::meta_src.name() = "src";
			SubscribePort::meta_src.min() = 0;
			SubscribePort::meta_src.max() = -1;
			SubscribePort::meta_src.isNavigable() = true;
			SubscribePort::meta_src.isPrimary() = false;
			SubscribePort::meta_src.target() = Event::meta;
			Event::meta_dst = Uml::AssociationRole::Create(ass);
			Event::meta_dst.name() = "dst";
			Event::meta_dst.min() = 0;
			Event::meta_dst.max() = -1;
			Event::meta_dst.isNavigable() = true;
			Event::meta_dst.isPrimary() = false;
			Event::meta_dst.target() = SubscribePort::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Interactions::meta_componentInstances = Uml::AssociationRole::Create(ass);
			Interactions::meta_componentInstances.name() = "componentInstances";
			Interactions::meta_componentInstances.min() = 0;
			Interactions::meta_componentInstances.max() = -1;
			Interactions::meta_componentInstances.isNavigable() = true;
			Interactions::meta_componentInstances.isPrimary() = false;
			Interactions::meta_componentInstances.target() = ComponentInstance::meta;
			ComponentInstance::meta_interactions = Uml::AssociationRole::Create(ass);
			ComponentInstance::meta_interactions.name() = "interactions";
			ComponentInstance::meta_interactions.min() = 0;
			ComponentInstance::meta_interactions.max() = -1;
			ComponentInstance::meta_interactions.isNavigable() = true;
			ComponentInstance::meta_interactions.isPrimary() = false;
			ComponentInstance::meta_interactions.target() = Interactions::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Event::meta_timer = Uml::AssociationRole::Create(ass);
			Event::meta_timer.name() = "timer";
			Event::meta_timer.min() = 0;
			Event::meta_timer.max() = 1;
			Event::meta_timer.isNavigable() = true;
			Event::meta_timer.isPrimary() = false;
			Event::meta_timer.target() = TimerComponent::meta;
			TimerComponent::meta_event = Uml::AssociationRole::Create(ass);
			TimerComponent::meta_event.name() = "event";
			TimerComponent::meta_event.min() = 0;
			TimerComponent::meta_event.max() = -1;
			TimerComponent::meta_event.isNavigable() = true;
			TimerComponent::meta_event.isPrimary() = false;
			TimerComponent::meta_event.target() = Event::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Method::meta_iqos = Uml::AssociationRole::Create(ass);
			Method::meta_iqos.name() = "iqos";
			Method::meta_iqos.min() = 0;
			Method::meta_iqos.max() = -1;
			Method::meta_iqos.isNavigable() = true;
			Method::meta_iqos.isPrimary() = false;
			Method::meta_iqos.target() = InvocationQoSProperties::meta;
			InvocationQoSProperties::meta_method = Uml::AssociationRole::Create(ass);
			InvocationQoSProperties::meta_method.name() = "method";
			InvocationQoSProperties::meta_method.min() = 0;
			InvocationQoSProperties::meta_method.max() = 1;
			InvocationQoSProperties::meta_method.isNavigable() = true;
			InvocationQoSProperties::meta_method.isPrimary() = false;
			InvocationQoSProperties::meta_method.target() = Method::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Action::meta_port = Uml::AssociationRole::Create(ass);
			Action::meta_port.name() = "port";
			Action::meta_port.min() = 0;
			Action::meta_port.max() = -1;
			Action::meta_port.isNavigable() = true;
			Action::meta_port.isPrimary() = false;
			Action::meta_port.target() = PublishPort::meta;
			PublishPort::meta_generatesEventsFor = Uml::AssociationRole::Create(ass);
			PublishPort::meta_generatesEventsFor.name() = "generatesEventsFor";
			PublishPort::meta_generatesEventsFor.min() = 0;
			PublishPort::meta_generatesEventsFor.max() = -1;
			PublishPort::meta_generatesEventsFor.isNavigable() = true;
			PublishPort::meta_generatesEventsFor.isPrimary() = false;
			PublishPort::meta_generatesEventsFor.target() = Action::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Action::meta_iqos = Uml::AssociationRole::Create(ass);
			Action::meta_iqos.name() = "iqos";
			Action::meta_iqos.min() = 0;
			Action::meta_iqos.max() = 1;
			Action::meta_iqos.isNavigable() = true;
			Action::meta_iqos.isPrimary() = false;
			Action::meta_iqos.target() = InvocationQoSProperties::meta;
			InvocationQoSProperties::meta_action = Uml::AssociationRole::Create(ass);
			InvocationQoSProperties::meta_action.name() = "action";
			InvocationQoSProperties::meta_action.min() = 0;
			InvocationQoSProperties::meta_action.max() = 1;
			InvocationQoSProperties::meta_action.isNavigable() = true;
			InvocationQoSProperties::meta_action.isPrimary() = false;
			InvocationQoSProperties::meta_action.target() = Action::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Action::meta_modes = Uml::AssociationRole::Create(ass);
			Action::meta_modes.name() = "modes";
			Action::meta_modes.min() = 0;
			Action::meta_modes.max() = -1;
			Action::meta_modes.isNavigable() = true;
			Action::meta_modes.isPrimary() = false;
			Action::meta_modes.target() = ComponentMode::meta;
			ComponentMode::meta_actions = Uml::AssociationRole::Create(ass);
			ComponentMode::meta_actions.name() = "actions";
			ComponentMode::meta_actions.min() = 0;
			ComponentMode::meta_actions.max() = -1;
			ComponentMode::meta_actions.isNavigable() = true;
			ComponentMode::meta_actions.isPrimary() = false;
			ComponentMode::meta_actions.target() = Action::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			InvocationQoSProperties::meta_facet = Uml::AssociationRole::Create(ass);
			InvocationQoSProperties::meta_facet.name() = "facet";
			InvocationQoSProperties::meta_facet.min() = 0;
			InvocationQoSProperties::meta_facet.max() = 1;
			InvocationQoSProperties::meta_facet.isNavigable() = true;
			InvocationQoSProperties::meta_facet.isPrimary() = false;
			InvocationQoSProperties::meta_facet.target() = Facet::meta;
			Facet::meta_iqos = Uml::AssociationRole::Create(ass);
			Facet::meta_iqos.name() = "iqos";
			Facet::meta_iqos.min() = 0;
			Facet::meta_iqos.max() = -1;
			Facet::meta_iqos.isNavigable() = true;
			Facet::meta_iqos.isPrimary() = false;
			Facet::meta_iqos.target() = InvocationQoSProperties::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			ComponentMode::meta_publishPorts = Uml::AssociationRole::Create(ass);
			ComponentMode::meta_publishPorts.name() = "publishPorts";
			ComponentMode::meta_publishPorts.min() = 0;
			ComponentMode::meta_publishPorts.max() = -1;
			ComponentMode::meta_publishPorts.isNavigable() = true;
			ComponentMode::meta_publishPorts.isPrimary() = false;
			ComponentMode::meta_publishPorts.target() = PublishPort::meta;
			PublishPort::meta_modes = Uml::AssociationRole::Create(ass);
			PublishPort::meta_modes.name() = "modes";
			PublishPort::meta_modes.min() = 0;
			PublishPort::meta_modes.max() = -1;
			PublishPort::meta_modes.isNavigable() = true;
			PublishPort::meta_modes.isPrimary() = false;
			PublishPort::meta_modes.target() = ComponentMode::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			ass.name() = "ModeTransition";
			ass.assocClass() = ModeTransition::meta;
			ComponentMode::meta_dst = Uml::AssociationRole::Create(ass);
			ComponentMode::meta_dst.name() = "dst";
			ComponentMode::meta_dst.min() = 0;
			ComponentMode::meta_dst.max() = -1;
			ComponentMode::meta_dst.isNavigable() = true;
			ComponentMode::meta_dst.isPrimary() = false;
			ComponentMode::meta_dst.target() = ComponentMode::meta;
			ModeTransition::meta_dst_end_ = ComponentMode::meta_src_rev = ComponentMode::meta_dst;
			ComponentMode::meta_src = Uml::AssociationRole::Create(ass);
			ComponentMode::meta_src.name() = "src";
			ComponentMode::meta_src.min() = 0;
			ComponentMode::meta_src.max() = -1;
			ComponentMode::meta_src.isNavigable() = true;
			ComponentMode::meta_src.isPrimary() = false;
			ComponentMode::meta_src.target() = ComponentMode::meta;
			ModeTransition::meta_src_end_ = ComponentMode::meta_dst_rev = ComponentMode::meta_src;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			ComponentMode::meta_facets = Uml::AssociationRole::Create(ass);
			ComponentMode::meta_facets.name() = "facets";
			ComponentMode::meta_facets.min() = 0;
			ComponentMode::meta_facets.max() = -1;
			ComponentMode::meta_facets.isNavigable() = true;
			ComponentMode::meta_facets.isPrimary() = false;
			ComponentMode::meta_facets.target() = Facet::meta;
			Facet::meta_modes = Uml::AssociationRole::Create(ass);
			Facet::meta_modes.name() = "modes";
			Facet::meta_modes.min() = 0;
			Facet::meta_modes.max() = 1;
			Facet::meta_modes.isNavigable() = true;
			Facet::meta_modes.isPrimary() = false;
			Facet::meta_modes.target() = ComponentMode::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			ComponentMode::meta_receptacles = Uml::AssociationRole::Create(ass);
			ComponentMode::meta_receptacles.name() = "receptacles";
			ComponentMode::meta_receptacles.min() = 0;
			ComponentMode::meta_receptacles.max() = -1;
			ComponentMode::meta_receptacles.isNavigable() = true;
			ComponentMode::meta_receptacles.isPrimary() = false;
			ComponentMode::meta_receptacles.target() = Receptacle::meta;
			Receptacle::meta_modes = Uml::AssociationRole::Create(ass);
			Receptacle::meta_modes.name() = "modes";
			Receptacle::meta_modes.min() = 0;
			Receptacle::meta_modes.max() = -1;
			Receptacle::meta_modes.isNavigable() = true;
			Receptacle::meta_modes.isPrimary() = false;
			Receptacle::meta_modes.target() = ComponentMode::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Interface::meta_receptacles = Uml::AssociationRole::Create(ass);
			Interface::meta_receptacles.name() = "receptacles";
			Interface::meta_receptacles.min() = 0;
			Interface::meta_receptacles.max() = -1;
			Interface::meta_receptacles.isNavigable() = true;
			Interface::meta_receptacles.isPrimary() = false;
			Interface::meta_receptacles.target() = Receptacle::meta;
			Receptacle::meta_theInterface = Uml::AssociationRole::Create(ass);
			Receptacle::meta_theInterface.name() = "theInterface";
			Receptacle::meta_theInterface.min() = 1;
			Receptacle::meta_theInterface.max() = 1;
			Receptacle::meta_theInterface.isNavigable() = true;
			Receptacle::meta_theInterface.isPrimary() = false;
			Receptacle::meta_theInterface.target() = Interface::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			Interface::meta_implementedBy = Uml::AssociationRole::Create(ass);
			Interface::meta_implementedBy.name() = "implementedBy";
			Interface::meta_implementedBy.min() = 0;
			Interface::meta_implementedBy.max() = -1;
			Interface::meta_implementedBy.isNavigable() = true;
			Interface::meta_implementedBy.isPrimary() = false;
			Interface::meta_implementedBy.target() = Facet::meta;
			Facet::meta_theInterface = Uml::AssociationRole::Create(ass);
			Facet::meta_theInterface.name() = "theInterface";
			Facet::meta_theInterface.min() = 1;
			Facet::meta_theInterface.max() = 1;
			Facet::meta_theInterface.isNavigable() = true;
			Facet::meta_theInterface.isPrimary() = false;
			Facet::meta_theInterface.target() = Interface::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			PublishPort::meta_event = Uml::AssociationRole::Create(ass);
			PublishPort::meta_event.name() = "event";
			PublishPort::meta_event.min() = 0;
			PublishPort::meta_event.max() = -1;
			PublishPort::meta_event.isNavigable() = true;
			PublishPort::meta_event.isPrimary() = false;
			PublishPort::meta_event.target() = Event::meta;
			Event::meta_publish = Uml::AssociationRole::Create(ass);
			Event::meta_publish.name() = "publish";
			Event::meta_publish.min() = 0;
			Event::meta_publish.max() = 1;
			Event::meta_publish.isNavigable() = true;
			Event::meta_publish.isPrimary() = false;
			Event::meta_publish.target() = PublishPort::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			ApplicationComponent::meta_proxy = Uml::AssociationRole::Create(ass);
			ApplicationComponent::meta_proxy.name() = "proxy";
			ApplicationComponent::meta_proxy.min() = 0;
			ApplicationComponent::meta_proxy.max() = -1;
			ApplicationComponent::meta_proxy.isNavigable() = true;
			ApplicationComponent::meta_proxy.isPrimary() = false;
			ApplicationComponent::meta_proxy.target() = SupportComponent::meta;
			SupportComponent::meta_master = Uml::AssociationRole::Create(ass);
			SupportComponent::meta_master.name() = "master";
			SupportComponent::meta_master.min() = 1;
			SupportComponent::meta_master.max() = 1;
			SupportComponent::meta_master.isNavigable() = true;
			SupportComponent::meta_master.isPrimary() = false;
			SupportComponent::meta_master.target() = ApplicationComponent::meta;
		}
		{
			Uml::Association ass = Uml::Association::Create(umldiagram);
			ass.name() = "InvocationConnection";
			ass.assocClass() = InvocationConnection::meta;
			Receptacle::meta_invokes = Uml::AssociationRole::Create(ass);
			Receptacle::meta_invokes.name() = "invokes";
			Receptacle::meta_invokes.min() = 0;
			Receptacle::meta_invokes.max() = -1;
			Receptacle::meta_invokes.isNavigable() = true;
			Receptacle::meta_invokes.isPrimary() = false;
			Receptacle::meta_invokes.target() = Facet::meta;
			InvocationConnection::meta_invokes_end_ = Facet::meta_callout_rev = Receptacle::meta_invokes;
			Facet::meta_callout = Uml::AssociationRole::Create(ass);
			Facet::meta_callout.name() = "callout";
			Facet::meta_callout.min() = 0;
			Facet::meta_callout.max() = -1;
			Facet::meta_callout.isNavigable() = true;
			Facet::meta_callout.isPrimary() = false;
			Facet::meta_callout.target() = Receptacle::meta;
			InvocationConnection::meta_callout_end_ = Receptacle::meta_invokes_rev = Facet::meta_callout;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Process::meta_Processor_parent = Uml::CompositionParentRole::Create(comp);
			Process::meta_Processor_parent.name() = "Processor_parent";
			Process::meta_Processor_parent.isNavigable() = true;
			Process::meta_Processor_parent.target() = Processor::meta;
			Processor::meta_Process_children = Uml::CompositionChildRole::Create(comp);
			Processor::meta_Process_children.name() = "Process";
			Processor::meta_Process_children.min() = 1;
			Processor::meta_Process_children.max() = -1;
			Processor::meta_Process_children.isNavigable() = true;
			Processor::meta_Process_children.target() = Process::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			ComponentInstance::meta_Processor_parent = Uml::CompositionParentRole::Create(comp);
			ComponentInstance::meta_Processor_parent.name() = "Processor_parent";
			ComponentInstance::meta_Processor_parent.isNavigable() = true;
			ComponentInstance::meta_Processor_parent.target() = Processor::meta;
			Processor::meta_ComponentInstance_children = Uml::CompositionChildRole::Create(comp);
			Processor::meta_ComponentInstance_children.name() = "ComponentInstance";
			Processor::meta_ComponentInstance_children.min() = 0;
			Processor::meta_ComponentInstance_children.max() = -1;
			Processor::meta_ComponentInstance_children.isNavigable() = true;
			Processor::meta_ComponentInstance_children.target() = ComponentInstance::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			SystemMode::meta_Processor_parent = Uml::CompositionParentRole::Create(comp);
			SystemMode::meta_Processor_parent.name() = "Processor_parent";
			SystemMode::meta_Processor_parent.isNavigable() = true;
			SystemMode::meta_Processor_parent.target() = Processor::meta;
			Processor::meta_SystemMode_children = Uml::CompositionChildRole::Create(comp);
			Processor::meta_SystemMode_children.name() = "SystemMode";
			Processor::meta_SystemMode_children.min() = 0;
			Processor::meta_SystemMode_children.max() = -1;
			Processor::meta_SystemMode_children.isNavigable() = true;
			Processor::meta_SystemMode_children.target() = SystemMode::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			CommPort::meta_Processor_parent = Uml::CompositionParentRole::Create(comp);
			CommPort::meta_Processor_parent.name() = "Processor_parent";
			CommPort::meta_Processor_parent.isNavigable() = true;
			CommPort::meta_Processor_parent.target() = Processor::meta;
			Processor::meta_CommPort_children = Uml::CompositionChildRole::Create(comp);
			Processor::meta_CommPort_children.name() = "CommPort";
			Processor::meta_CommPort_children.min() = 0;
			Processor::meta_CommPort_children.max() = -1;
			Processor::meta_CommPort_children.isNavigable() = true;
			Processor::meta_CommPort_children.target() = CommPort::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Component::meta_Process_parent = Uml::CompositionParentRole::Create(comp);
			Component::meta_Process_parent.name() = "Process_parent";
			Component::meta_Process_parent.isNavigable() = true;
			Component::meta_Process_parent.target() = Process::meta;
			Process::meta_Component_children = Uml::CompositionChildRole::Create(comp);
			Process::meta_Component_children.name() = "Component";
			Process::meta_Component_children.min() = 0;
			Process::meta_Component_children.max() = -1;
			Process::meta_Component_children.isNavigable() = true;
			Process::meta_Component_children.target() = Component::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Thread::meta_Process_parent = Uml::CompositionParentRole::Create(comp);
			Thread::meta_Process_parent.name() = "Process_parent";
			Thread::meta_Process_parent.isNavigable() = true;
			Thread::meta_Process_parent.target() = Process::meta;
			Process::meta_Thread_children = Uml::CompositionChildRole::Create(comp);
			Process::meta_Thread_children.name() = "Thread";
			Process::meta_Thread_children.min() = 0;
			Process::meta_Thread_children.max() = -1;
			Process::meta_Thread_children.isNavigable() = true;
			Process::meta_Thread_children.target() = Thread::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Processor::meta_Network_parent = Uml::CompositionParentRole::Create(comp);
			Processor::meta_Network_parent.name() = "Network_parent";
			Processor::meta_Network_parent.isNavigable() = true;
			Processor::meta_Network_parent.target() = Network::meta;
			Network::meta_Processor_children = Uml::CompositionChildRole::Create(comp);
			Network::meta_Processor_children.name() = "Processor";
			Network::meta_Processor_children.min() = 0;
			Network::meta_Processor_children.max() = -1;
			Network::meta_Processor_children.isNavigable() = true;
			Network::meta_Processor_children.target() = Processor::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Link::meta_Network_parent = Uml::CompositionParentRole::Create(comp);
			Link::meta_Network_parent.name() = "Network_parent";
			Link::meta_Network_parent.isNavigable() = true;
			Link::meta_Network_parent.target() = Network::meta;
			Network::meta_Link_children = Uml::CompositionChildRole::Create(comp);
			Network::meta_Link_children.name() = "Link";
			Network::meta_Link_children.min() = 0;
			Network::meta_Link_children.max() = -1;
			Network::meta_Link_children.isNavigable() = true;
			Network::meta_Link_children.target() = Link::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Event::meta_Interactions_parent = Uml::CompositionParentRole::Create(comp);
			Event::meta_Interactions_parent.name() = "Interactions_parent";
			Event::meta_Interactions_parent.isNavigable() = true;
			Event::meta_Interactions_parent.target() = Interactions::meta;
			Interactions::meta_Event_children = Uml::CompositionChildRole::Create(comp);
			Interactions::meta_Event_children.name() = "Event";
			Interactions::meta_Event_children.min() = 0;
			Interactions::meta_Event_children.max() = -1;
			Interactions::meta_Event_children.isNavigable() = true;
			Interactions::meta_Event_children.target() = Event::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			TimerComponent::meta_Interactions_parent = Uml::CompositionParentRole::Create(comp);
			TimerComponent::meta_Interactions_parent.name() = "Interactions_parent";
			TimerComponent::meta_Interactions_parent.isNavigable() = true;
			TimerComponent::meta_Interactions_parent.target() = Interactions::meta;
			Interactions::meta_TimerComponent_children = Uml::CompositionChildRole::Create(comp);
			Interactions::meta_TimerComponent_children.name() = "TimerComponent";
			Interactions::meta_TimerComponent_children.min() = 0;
			Interactions::meta_TimerComponent_children.max() = -1;
			Interactions::meta_TimerComponent_children.isNavigable() = true;
			Interactions::meta_TimerComponent_children.target() = TimerComponent::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			InvocationConnection::meta_Interactions_parent = Uml::CompositionParentRole::Create(comp);
			InvocationConnection::meta_Interactions_parent.name() = "Interactions_parent";
			InvocationConnection::meta_Interactions_parent.isNavigable() = true;
			InvocationConnection::meta_Interactions_parent.target() = Interactions::meta;
			Interactions::meta_InvocationConnection_children = Uml::CompositionChildRole::Create(comp);
			Interactions::meta_InvocationConnection_children.name() = "InvocationConnection";
			Interactions::meta_InvocationConnection_children.min() = 0;
			Interactions::meta_InvocationConnection_children.max() = -1;
			Interactions::meta_InvocationConnection_children.isNavigable() = true;
			Interactions::meta_InvocationConnection_children.target() = InvocationConnection::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Method::meta_Interface_parent = Uml::CompositionParentRole::Create(comp);
			Method::meta_Interface_parent.name() = "Interface_parent";
			Method::meta_Interface_parent.isNavigable() = true;
			Method::meta_Interface_parent.target() = Interface::meta;
			Interface::meta_Method_children = Uml::CompositionChildRole::Create(comp);
			Interface::meta_Method_children.name() = "Method";
			Interface::meta_Method_children.min() = 0;
			Interface::meta_Method_children.max() = -1;
			Interface::meta_Method_children.isNavigable() = true;
			Interface::meta_Method_children.target() = Method::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			TriggerQoSProperties::meta_ComponentInstance_parent = Uml::CompositionParentRole::Create(comp);
			TriggerQoSProperties::meta_ComponentInstance_parent.name() = "ComponentInstance_parent";
			TriggerQoSProperties::meta_ComponentInstance_parent.isNavigable() = true;
			TriggerQoSProperties::meta_ComponentInstance_parent.target() = ComponentInstance::meta;
			ComponentInstance::meta_TriggerQoSProperties_children = Uml::CompositionChildRole::Create(comp);
			ComponentInstance::meta_TriggerQoSProperties_children.name() = "TriggerQoSProperties";
			ComponentInstance::meta_TriggerQoSProperties_children.min() = 0;
			ComponentInstance::meta_TriggerQoSProperties_children.max() = -1;
			ComponentInstance::meta_TriggerQoSProperties_children.isNavigable() = true;
			ComponentInstance::meta_TriggerQoSProperties_children.target() = TriggerQoSProperties::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			CallOut::meta_ComponentInstance_parent = Uml::CompositionParentRole::Create(comp);
			CallOut::meta_ComponentInstance_parent.name() = "ComponentInstance_parent";
			CallOut::meta_ComponentInstance_parent.isNavigable() = true;
			CallOut::meta_ComponentInstance_parent.target() = ComponentInstance::meta;
			ComponentInstance::meta_CallOut_children = Uml::CompositionChildRole::Create(comp);
			ComponentInstance::meta_CallOut_children.name() = "CallOut";
			ComponentInstance::meta_CallOut_children.min() = 0;
			ComponentInstance::meta_CallOut_children.max() = -1;
			ComponentInstance::meta_CallOut_children.isNavigable() = true;
			ComponentInstance::meta_CallOut_children.target() = CallOut::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			EventPort::meta_ComponentInstance_parent = Uml::CompositionParentRole::Create(comp);
			EventPort::meta_ComponentInstance_parent.name() = "ComponentInstance_parent";
			EventPort::meta_ComponentInstance_parent.isNavigable() = true;
			EventPort::meta_ComponentInstance_parent.target() = ComponentInstance::meta;
			ComponentInstance::meta_EventPort_children = Uml::CompositionChildRole::Create(comp);
			ComponentInstance::meta_EventPort_children.name() = "EventPort";
			ComponentInstance::meta_EventPort_children.min() = 0;
			ComponentInstance::meta_EventPort_children.max() = -1;
			ComponentInstance::meta_EventPort_children.isNavigable() = true;
			ComponentInstance::meta_EventPort_children.target() = EventPort::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Facet::meta_ComponentInstance_parent = Uml::CompositionParentRole::Create(comp);
			Facet::meta_ComponentInstance_parent.name() = "ComponentInstance_parent";
			Facet::meta_ComponentInstance_parent.isNavigable() = true;
			Facet::meta_ComponentInstance_parent.target() = ComponentInstance::meta;
			ComponentInstance::meta_Facet_children = Uml::CompositionChildRole::Create(comp);
			ComponentInstance::meta_Facet_children.name() = "Facet";
			ComponentInstance::meta_Facet_children.min() = 0;
			ComponentInstance::meta_Facet_children.max() = -1;
			ComponentInstance::meta_Facet_children.isNavigable() = true;
			ComponentInstance::meta_Facet_children.target() = Facet::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Receptacle::meta_ComponentInstance_parent = Uml::CompositionParentRole::Create(comp);
			Receptacle::meta_ComponentInstance_parent.name() = "ComponentInstance_parent";
			Receptacle::meta_ComponentInstance_parent.isNavigable() = true;
			Receptacle::meta_ComponentInstance_parent.target() = ComponentInstance::meta;
			ComponentInstance::meta_Receptacle_children = Uml::CompositionChildRole::Create(comp);
			ComponentInstance::meta_Receptacle_children.name() = "Receptacle";
			ComponentInstance::meta_Receptacle_children.min() = 0;
			ComponentInstance::meta_Receptacle_children.max() = -1;
			ComponentInstance::meta_Receptacle_children.isNavigable() = true;
			ComponentInstance::meta_Receptacle_children.target() = Receptacle::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			InvocationQoSProperties::meta_ComponentInstance_parent = Uml::CompositionParentRole::Create(comp);
			InvocationQoSProperties::meta_ComponentInstance_parent.name() = "ComponentInstance_parent";
			InvocationQoSProperties::meta_ComponentInstance_parent.isNavigable() = true;
			InvocationQoSProperties::meta_ComponentInstance_parent.target() = ComponentInstance::meta;
			ComponentInstance::meta_InvocationQoSProperties_children = Uml::CompositionChildRole::Create(comp);
			ComponentInstance::meta_InvocationQoSProperties_children.name() = "InvocationQoSProperties";
			ComponentInstance::meta_InvocationQoSProperties_children.min() = 0;
			ComponentInstance::meta_InvocationQoSProperties_children.max() = -1;
			ComponentInstance::meta_InvocationQoSProperties_children.isNavigable() = true;
			ComponentInstance::meta_InvocationQoSProperties_children.target() = InvocationQoSProperties::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Action::meta_ComponentInstance_parent = Uml::CompositionParentRole::Create(comp);
			Action::meta_ComponentInstance_parent.name() = "ComponentInstance_parent";
			Action::meta_ComponentInstance_parent.isNavigable() = true;
			Action::meta_ComponentInstance_parent.target() = ComponentInstance::meta;
			ComponentInstance::meta_Action_children = Uml::CompositionChildRole::Create(comp);
			ComponentInstance::meta_Action_children.name() = "Action";
			ComponentInstance::meta_Action_children.min() = 0;
			ComponentInstance::meta_Action_children.max() = -1;
			ComponentInstance::meta_Action_children.isNavigable() = true;
			ComponentInstance::meta_Action_children.target() = Action::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			ComponentMode::meta_ComponentInstance_parent = Uml::CompositionParentRole::Create(comp);
			ComponentMode::meta_ComponentInstance_parent.name() = "ComponentInstance_parent";
			ComponentMode::meta_ComponentInstance_parent.isNavigable() = true;
			ComponentMode::meta_ComponentInstance_parent.target() = ComponentInstance::meta;
			ComponentInstance::meta_ComponentMode_children = Uml::CompositionChildRole::Create(comp);
			ComponentInstance::meta_ComponentMode_children.name() = "ComponentMode";
			ComponentInstance::meta_ComponentMode_children.min() = 0;
			ComponentInstance::meta_ComponentMode_children.max() = -1;
			ComponentInstance::meta_ComponentMode_children.isNavigable() = true;
			ComponentInstance::meta_ComponentMode_children.target() = ComponentMode::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			ModeTransition::meta_ComponentInstance_parent = Uml::CompositionParentRole::Create(comp);
			ModeTransition::meta_ComponentInstance_parent.name() = "ComponentInstance_parent";
			ModeTransition::meta_ComponentInstance_parent.isNavigable() = true;
			ModeTransition::meta_ComponentInstance_parent.target() = ComponentInstance::meta;
			ComponentInstance::meta_ModeTransition_children = Uml::CompositionChildRole::Create(comp);
			ComponentInstance::meta_ModeTransition_children.name() = "ModeTransition";
			ComponentInstance::meta_ModeTransition_children.min() = 0;
			ComponentInstance::meta_ModeTransition_children.max() = -1;
			ComponentInstance::meta_ModeTransition_children.isNavigable() = true;
			ComponentInstance::meta_ModeTransition_children.target() = ModeTransition::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Network::meta_System_parent = Uml::CompositionParentRole::Create(comp);
			Network::meta_System_parent.name() = "System_parent";
			Network::meta_System_parent.isNavigable() = true;
			Network::meta_System_parent.target() = System::meta;
			System::meta_Network_children = Uml::CompositionChildRole::Create(comp);
			System::meta_Network_children.name() = "Network";
			System::meta_Network_children.min() = 0;
			System::meta_Network_children.max() = -1;
			System::meta_Network_children.isNavigable() = true;
			System::meta_Network_children.target() = Network::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Interface::meta_System_parent = Uml::CompositionParentRole::Create(comp);
			Interface::meta_System_parent.name() = "System_parent";
			Interface::meta_System_parent.isNavigable() = true;
			Interface::meta_System_parent.target() = System::meta;
			System::meta_Interface_children = Uml::CompositionChildRole::Create(comp);
			System::meta_Interface_children.name() = "Interface";
			System::meta_Interface_children.min() = 0;
			System::meta_Interface_children.max() = -1;
			System::meta_Interface_children.isNavigable() = true;
			System::meta_Interface_children.target() = Interface::meta;
		}
		{
			Uml::Composition comp = Uml::Composition::Create(umldiagram);
			comp.nonpersistent() =false;
		
			Interactions::meta_System_parent = Uml::CompositionParentRole::Create(comp);
			Interactions::meta_System_parent.name() = "System_parent";
			Interactions::meta_System_parent.isNavigable() = true;
			Interactions::meta_System_parent.target() = System::meta;
			System::meta_Interactions_children = Uml::CompositionChildRole::Create(comp);
			System::meta_Interactions_children.name() = "Interactions";
			System::meta_Interactions_children.min() = 0;
			System::meta_Interactions_children.max() = -1;
			System::meta_Interactions_children.isNavigable() = true;
			System::meta_Interactions_children.target() = Interactions::meta;
		}
		Component::meta.subTypes() +=  BackupComponent::meta;
		Component::meta.subTypes() +=  NormalComponent::meta;
		AIFObject::meta.subTypes() +=  SystemMode::meta;
		AIFObject::meta.subTypes() +=  Component::meta;
		AIFObject::meta.subTypes() +=  Processor::meta;
		AIFObject::meta.subTypes() +=  CommPort::meta;
		AIFObject::meta.subTypes() +=  Link::meta;
		AIFObject::meta.subTypes() +=  Process::meta;
		AIFObject::meta.subTypes() +=  Thread::meta;
		AIFObject::meta.subTypes() +=  Network::meta;
		AIFObject::meta.subTypes() +=  CallOut::meta;
		AIFObject::meta.subTypes() +=  Interactions::meta;
		AIFObject::meta.subTypes() +=  TimerComponent::meta;
		AIFObject::meta.subTypes() +=  Method::meta;
		AIFObject::meta.subTypes() +=  Action::meta;
		AIFObject::meta.subTypes() +=  InvocationQoSProperties::meta;
		AIFObject::meta.subTypes() +=  ComponentMode::meta;
		AIFObject::meta.subTypes() +=  ModeTransition::meta;
		AIFObject::meta.subTypes() +=  Interface::meta;
		AIFObject::meta.subTypes() +=  TriggerQoSProperties::meta;
		AIFObject::meta.subTypes() +=  InvocationConnection::meta;
		AIFObject::meta.subTypes() +=  ComponentInstance::meta;
		AIFObject::meta.subTypes() +=  Event::meta;
		AIFObject::meta.subTypes() +=  EventPort::meta;
		AIFObject::meta.subTypes() +=  Receptacle::meta;
		AIFObject::meta.subTypes() +=  Facet::meta;
		ComponentInstance::meta.subTypes() +=  ApplicationComponent::meta;
		ComponentInstance::meta.subTypes() +=  SupportComponent::meta;
		EventPort::meta.subTypes() +=  SubscribePort::meta;
		EventPort::meta.subTypes() +=  PublishPort::meta;
		
	}
	Udm::UdmDiagram diagram = { &umldiagram, Initialize };
}
// END AIF.cpp
